Package com.arms.api.jira.jiraproject_pure.controller

## Class JiraProjectPureController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<JiraProjectPure,​JiraProjectPureDTO,​JiraProjectPureEntity>
  - - com.arms.api.jira.jiraproject_pure.controller.JiraProjectPureController

-     @Controller
      @RequestMapping("/arms/jiraProjectPure")
      public class JiraProjectPureController
      extends TreeAbstractController<JiraProjectPure,​JiraProjectPureDTO,​JiraProjectPureEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraProjectPureController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<AllJiraProjectsDTO>>>` | `getJiraProjectPures()` |
    `void` | `initialize()` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JiraProjectPureController

          public JiraProjectPureController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getJiraProjectPures

          @ResponseBody
          @GetMapping("/getJiraProjects.do")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<AllJiraProjectsDTO>>> getJiraProjectPures()
                                                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`